### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
FixedRateBond Class Reference
Financial instruments

fixed-rate bond More...

`#include <ql/instruments/bonds/fixedratebond.hpp>`

Inheritance diagram for FixedRateBond:
[legend]

List of all members.

## Public Member Functions

| FixedRateBond (Natural settlementDays, Real faceAmount, const Schedule &schedule, const std::vector< Rate > &coupons, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, Real redemption=100.0, const Date &issueDate=Date(), const Calendar &paymentCalendar=Calendar())
| simple annual compounding coupon rates

FixedRateBond (Natural settlementDays, const Calendar &couponCalendar, Real faceAmount, const Date &startDate, const Date &maturityDate, const Period &tenor, const std::vector< Rate > &coupons, const DayCounter &accrualDayCounter, BusinessDayConvention accrualConvention=Following, BusinessDayConvention paymentConvention=Following, Real redemption=100.0, const Date &issueDate=Date(), const Date &stubDate=Date(), DateGeneration::Rule rule=DateGeneration::Backward, bool endOfMonth=false, const Calendar &paymentCalendar=Calendar())

| FixedRateBond (Natural settlementDays, Real faceAmount, const Schedule &schedule, const std::vector< InterestRate > &coupons, BusinessDayConvention paymentConvention=Following, Real redemption=100.0, const Date &issueDate=Date(), const Calendar &paymentCalendar=Calendar())
| generic compounding and frequency InterestRate coupons
Frequency | frequency () const
const DayCounter & | dayCounter () const

## Protected Attributes

Frequency | frequency_
DayCounter | dayCounter_

## Detailed Description

fixed-rate bond

Tests:
  calculations are tested by checking results against cached values.

Examples:
  Bonds.cpp, and Repo.cpp.

## Constructor & Destructor Documentation

FixedRateBond | ( | Natural | settlementDays,
|  | const Calendar & | couponCalendar,
|  | Real | faceAmount,
|  | const Date & | startDate,
|  | const Date & | maturityDate,
|  | const Period & | tenor,
|  | const std::vector< Rate > & | coupons,
|  | const DayCounter & | accrualDayCounter,
|  | BusinessDayConvention | accrualConvention = `Following`,
|  | BusinessDayConvention | paymentConvention = `Following`,
|  | Real | redemption = `100.0`,
|  | const Date & | issueDate = `Date()`,
|  | const Date & | stubDate = `Date()`,
|  | DateGeneration::Rule | rule = `DateGeneration::Backward`,
|  | bool | endOfMonth = `false`,
|  | const Calendar & | paymentCalendar = `Calendar()`
| ) |  |

simple annual compounding coupon rates with internal schedule calculation